package com.zcloud.basic.info.api;

import com.alibaba.cola.dto.MultiResponse;
import com.zcloud.basic.info.dto.UserJobHandoverAddCmd;
import com.zcloud.basic.info.dto.UserJobHandoverPageQry;
import com.zcloud.basic.info.dto.UserJobHandoverListQry;
import com.zcloud.basic.info.dto.UserJobHandoverUpdateCmd;
import com.zcloud.basic.info.dto.clientobject.UserJobHandoverCO;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

/**
 * web-client
 *
 * @Author SondonYong
 * @Date 2025-12-02 14:08:57
 */
public interface UserJobHandoverServiceI {
    PageResponse<UserJobHandoverCO> listPage(UserJobHandoverPageQry qry);

    MultiResponse<UserJobHandoverCO> list(UserJobHandoverListQry qry);

    SingleResponse<UserJobHandoverCO> getInfoById(Long id);

    SingleResponse<UserJobHandoverCO> add(UserJobHandoverAddCmd cmd);

    void edit(UserJobHandoverUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

